diff -r 6df560dfa555 trytond/protocols/webdav.py
--- a/trytond/protocols/webdav.py	Sun May 24 20:24:25 2009 +0200
+++ b/trytond/protocols/webdav.py	Tue May 26 19:35:02 2009 +0200
@@ -156,7 +156,7 @@
     def _get_dburi(self, uri):
         return TrytonDAVInterface.get_dburi(uri)
 
-    def get_childs(self, uri):
+    def get_childs(self, uri, filter=None):
         res = []
         dbname, dburi = self._get_dburi(uri)
         if not dbname:
@@ -179,7 +179,7 @@
             if uri[-1:] != '/':
                 uri += '/'
             for child in collection_obj.get_childs(cursor, int(USER_ID), dburi,
-                    cache=CACHE):
+                    filter=filter, cache=CACHE):
                 res.append(uri + child.encode('utf-8'))
         except (DAV_Error, DAV_NotFound, DAV_Secret, DAV_Forbidden):
             raise
diff -r 6df560dfa555 trytond/webdav/webdav.py
--- a/trytond/webdav/webdav.py	Sun May 24 20:24:25 2009 +0200
+++ b/trytond/webdav/webdav.py	Tue May 26 19:35:02 2009 +0200
@@ -242,9 +242,12 @@
             cache['_uri2object'][cache_uri] = (object_name, object_id)
         return object_name, object_id
 
-    def get_childs(self, cursor, user, uri, context=None, cache=None):
+    def get_childs(self, cursor, user, uri, filter=None, context=None,
+            cache=None):
         report_obj = self.pool.get('ir.action.report')
         res = []
+        if filter:
+            return []
         if not uri:
             collection_ids = self.search(cursor, user, [
                 ('parent', '=', False),
